Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface Guardian.GuardContext

All Known Implementing Classes:
  GuardSupport.Context

Enclosing interface:
  Guardian

      public static interface Guardian.GuardContext

A GuardContext represents the lifecycle status of a Guardable. The GuardContext is the point of coordination between the Guardian and the Guardable.

Field Summary
`static int` | `STATE_HEALTHY` State value indicating the Guardable is healthy/responsive.
`static int` | `STATE_RECOVERY` State value indicating that recovery of the Guardable is underway.
`static int` | `STATE_TERMINATING` State value indicating that the Guardable is being terminated.

Method Summary
`Guardable` | `getGuardable()` Return the Guardable for this context.
`Guardian` | `getGuardian()` Return the Guardian for this context.
`long` | `getSoftTimeoutMillis()` Return the soft timeout interval for the represented Guardable.
`int` | `getState()` Return the state of the Guardable.
`void` | `heartbeat()` Called by the Guardable to signal that it is still alive.
`void` | `heartbeat(long cMillis)` Called by the Guardable to signal that it is still alive, and that it should not be considered timed out for the specified number of milliseconds.
`void` | `release()` Release this context, causing the Guardian to discontinue monitoring of the represented Guardable.

Field Detail

### STATE_HEALTHY

    static final int STATE_HEALTHY

  State value indicating the Guardable is healthy/responsive.
  See Also:
    Constant Field Values

### STATE_RECOVERY

    static final int STATE_RECOVERY

  State value indicating that recovery of the Guardable is underway.
  See Also:
    Constant Field Values

### STATE_TERMINATING

    static final int STATE_TERMINATING

  State value indicating that the Guardable is being terminated.
  See Also:
    Constant Field Values

Method Detail

### getGuardian

    Guardian getGuardian()

  Return the Guardian for this context.
  Returns:
    the Guardian for this context

### getGuardable

    Guardable getGuardable()

  Return the Guardable for this context.
  Returns:
    the Guardable for this context

### heartbeat

    void heartbeat()

  Called by the Guardable to signal that it is still alive.

### heartbeat

    void heartbeat(long cMillis)

  Called by the Guardable to signal that it is still alive, and that it should not be considered timed out for the specified number of milliseconds.
  Parameters:
    `cMillis` - the number of milliseconds for which the guardable should not be considered timed out

### getState

    int getState()

  Return the state of the Guardable. Valid values are STATE_* constants.
  Returns:
    the state of the Guardable

### release

    void release()

  Release this context, causing the Guardian to discontinue monitoring of the represented Guardable.

### getSoftTimeoutMillis

    long getSoftTimeoutMillis()

  Return the soft timeout interval for the represented Guardable. The soft timeout interval is the amount of time that must pass after the last received heartbeat before a recovery attempt is made.
  Returns:
    the soft timeout interval for the represented Guardable

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.